=== debian/changelog ===
oggvideotools (0.8a-7) unstable; urgency=low

  * Changed build-depend on libgd2-xpm-dev to libgd-dev, to list the
    real package now providing this dependency.
  * New patch more-compiler-warnings.patch to compile using -Wall and
    -Wextra.
  * Change autopkgtest control file to allow stderr output, as the
    scripts log progress to stderr.
  * Add new autopkgtest script to use oggCut.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 20 Dec 2015 23:52:49 +0100

oggvideotools (0.8a-6) unstable; urgency=low

  * Drop unneeded build dependency on essential package mktemp.
  * Drop article in front of package description.  Thank you lintian.
  * Fix build problem caused by test script.
  * Add debian/gbp.conf to enforce the user of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Sep 2015 14:28:41 +0200

oggvideotools (0.8a-5) unstable; urgency=low

  * Start on simple autopkgtest setup and use it during build.  Test
    oggJoin using video and audio file, to trigger a bug on big endian
    machines.
  * Rewrite debian/rules to use dh instead of dh_*.
  * Add build dependencies mktemp, debconf and python-pygame needed by
    test script.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Sep 2015 10:05:27 +0200

oggvideotools (0.8a-4) unstable; urgency=low

  [ Martin Steghöfer ]
  * Enable hardening.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Oct 2014 13:54:48 +0200

oggvideotools (0.8a-3) unstable; urgency=low

  * Switch from debhelper 7 to 9.  No code changes needed.
  * Added manual-typos.patch to fix a handful typos in the manual
    pages, discovered by lintian.
  * Added oggThumb-zero-getopt-long.patch to fix crash when given
    unknown command line arguments (Closes: #716525).  Thanks to
    Alexandre Rebert and the Mayhem project for discovering this.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Oct 2014 20:52:55 +0200

oggvideotools (0.8a-2) unstable; urgency=low

  [ Martin Steghöfer ]
  * Updated meta information (VCS and Homepage) to list git
    repository.

  [ Petter Reinholdtsen ]
  * Drop John Francesco Ferlito and Ron Lee, and add me and Martin
    Steghöfer as uploaders.
  * Updated standards-version from 3.9.3.1 to 3.9.6.
  * Rename oggResize to oggTranscode in package description to match
    the new reality (Closes: #732569).
  * Move to source format 3.0 (quilt) and move all upstream changes to
    new version-0.8a-1.patch.
  * Added mayhem-crash-oggjoin.patch to fix crash bug on corrupt input
    (Closes: #716188). Thanks to Alexandre Rebert and the Meyhem
    project for discovering the problem.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Oct 2014 09:44:10 +0200

oggvideotools (0.8a-1) unstable; urgency=low

  * New upstream release with the blessing of John.  Closes: #652958
    Add myself to uploaders.
  * s/komas/commas/g in the docs.  Closes: #606225

 -- Ron Lee <ron@debian.org>  Sat, 02 Jun 2012 23:54:42 +0930

oggvideotools (0.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch from Paul Tagliamonte (missing
    includes).
    (Closes: #667308)

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 May 2012 15:22:15 +0200

oggvideotools (0.8-1) unstable; urgency=low

  * Initial Debian Release (Closes: #563446).
  * debian/copyright
    - Add John Ferlito as package maintainer.
    - Add copyright details for libresample.
    - Fix FSF address.
  * debian/watch
    - Move to version 3.
    - Use debian sourceforge redirector.
  * debian/compat
    - Update to 7.
    - Move to using dh instead of cdbs.
  * debian/rules
    - Move to dh 7.
    - Add quilt support.
  * debian/control
    - Change maintainer to Debian Xiph.org Maintainers.
    - Add ${misc:Depends}.
    - Update standars version to 3.8.3.
    - Depend on debhelper >= 7.0.50~
    - Improve package description.
    - Add quilt dependency.
    - Remove cdbs dependency.
    - Add -dbg package.
  * debian/patches/manpages
    - Fix hyphenation in man pages.

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 03 Jan 2010 13:05:14 +1100

oggvideotools (0.7b-ubuntu1) jaunty; urgency=low

  * rebuilt with libtheora beta1 

 -- jan gerber <j@v2v.cc>  Tue, 11 Aug 2009 00:27:20 +0200

oggvideotools (0.7b) jaunty; urgency=low

  * initial version

 -- jan gerber <j@v2v.cc>  Fri, 10 August 2009 18:20:00 +0200
