=== debian/control ===
Source: oggvideotools
Section: video
Priority: optional
Maintainer: Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>
 , Martin Steghöfer <martin@steghoefer.eu>
Build-Depends:
 debhelper (>= 9),
 cmake,
 libogg-dev,
 libtheora-dev,
 libvorbis-dev,
 libsdl-dev,
 libgd-dev,
 debconf,
 python-pygame,
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Vcs-Git: https://anonscm.debian.org/git/pkg-xiph/oggvideotools.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xiph/oggvideotools.git
Homepage: http://www.streamnik.de/oggvideotools.html

Package: oggvideotools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: toolbox for manipulating and creating Ogg video files
 Contains the following command line tools:
 .
   * oggCat - concatenates two ogg video files
   * oggCut - extracts parts of an ogg file
   * oggDump
   * oggJoin - multiplexes ogg streams 
   * oggLength
   * oggTranscode - resizes ogg files in multiple ways
   * oggScroll
   * oggSilence
   * oggSlideshow - creates slideshows from pictures
   * oggSplit - demultiplexes ogv files
   * oggThumb - creates thumbnails from an ogg video file

Package: oggvideotools-dbg
Section: debug
Priority: extra
Architecture: any
Depends: oggvideotools (= ${binary:Version}), ${misc:Depends}
Description: toolbox for manipulating and creating Ogg video files (debug symbols)
 Contains the following command line tools:
 .
   * oggCat - concatenates two ogg video files
   * oggCut - extracts parts of an ogg file
   * oggDump
   * oggJoin - multiplexes ogg streams 
   * oggLength
   * oggTranscode - resizes ogg files in multiple ways
   * oggScroll
   * oggSilence
   * oggSlideshow - creates slideshows from pictures
   * oggSplit - demultiplexes ogv files
   * oggThumb - creates thumbnails from an ogg video file
 .
 This package contains debugging symbols.
