=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_strip:
	dh_strip --dbg-package=oggvideotools-dbg

# Run our test suite until the upstream source get one
override_dh_auto_test:
	dh_auto_test
	TESTBINDIR=`pwd`/obj-*/src/ ./debian/tests/test-oggjoin
