=== debian/tests/control ===
Tests: test-oggjoin, test-oggcut
Depends: @, debconf, python-pygame, python-mecavideo
Restrictions: allow-stderr
