=== debian/watch ===
version=3
http://sf.net/oggvideotools/oggvideotools-(.+)\.tar\.gz
