## oggvideotools 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,24 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8)
 
 PROJECT ( "OggVideoTools" )
 
 SET ( PACKAGE_NAME "oggvideotools" )
-SET ( PACKAGE_VERSION "0.8a" )
-SET ( PACKAGE_BUGREPORT "yorn@gmx.de" )
+SET ( PACKAGE_VERSION "0.9.1" )
+SET ( PACKAGE_BUGREPORT "yorn@gmx.net" )
 
 INCLUDE (CheckIncludeFiles)
 CHECK_INCLUDE_FILES ( bzero.h HAVE_BZERO_H)
 CHECK_INCLUDE_FILES ( stdint.h HAVE_STDINT_H )
 
 IF ( $ENV{MAKE_PACKAGE} )
-  find_library ( GD_GD_LIBRARY NAMES bgd.lib libgd.a )
+  find_library ( GD_GD_LIBRARY NAMES bgd.dll )
   find_library ( JPEG_GD_LIBRARY NAMES libjpeg.a libjpeg.lib jpeg.lib )
   find_library ( PNG_GD_LIBRARY NAMES libpng.a libpng.lib )
-  find_library ( Z_GD_LIBRARY NAMES libz.a )
-  SET ( GD_LIBRARIES ${GD_GD_LIBRARY} ${GD_GDA_LIBRARY} ${JPEG_GD_LIBRARY} ${PNG_GD_LIBRARY}  ${Z_GD_LIBRAY} ${Z_GD_LIBRARY} )
+  find_library ( Z_GD_LIBRARY NAMES libz )
+  SET ( GD_LIBRARIES ${GD_GD_LIBRARY} ${JPEG_GD_LIBRARY} ${PNG_GD_LIBRARY}  ${Z_GD_LIBRARY} )
   find_library ( GD_EXTERNAL NAMES bgd.dll )
-  find_library ( THEORADEC_LIBRARIES NAMES libtheoradec.a )
-  find_library ( THEORAENC_LIBRARIES NAMES libtheoraenc.a )
+  find_library ( THEORADEC_LIBRARIES NAMES libtheoradec )
+  find_library ( THEORAENC_LIBRARIES NAMES libtheoraenc )
   find_library ( VORBIS_LIBRARIES NAMES libvorbis.a )
   find_library ( VORBISENC_LIBRARIES NAMES libvorbisenc.a )
   find_library ( OGG_LIBRARIES NAMES libogg.a )
@@ -48,7 +48,7 @@
 find_path ( GD_INCLUDE gd.h )
 
 IF ( $ENV{MAKE_PACKAGE} )
-MESSAGE ( "Do not creating package" )
+MESSAGE ( "Do creating package" )
 ELSE ( $ENV{MAKE_PACKAGE} )
 
 SET ( ALL_LIBS )
@@ -99,15 +99,15 @@
   SET ( STOP_CONFIGURATION true )
 ENDIF ( OGG_FOUND )
 
-IF ( NOT GD_LIBRARY-NOTFOUND AND NOT GD_INCLUDE-NOTFOUND )
+IF ( NOT ${GD_LIBRARY} MATCHES GD_LIBRARY-NOTFOUND )
   MESSAGE ( STATUS "GD library and header found" )
   SET ( HAVE_LIBGD 1 CACHE INTERNAL "" )
   SET ( ALL_LIBS ${ALL_LIBS} ${GD_LIBRARY} )
   INCLUDE_DIRECTORIES ( ${GD_INCLUDE} )
-ELSE ( NOT GD_LIBRARY-NOTFOUND AND NOT GD_INCLUDE-NOTFOUND )
+ELSE ( NOT ${GD_LIBRARY} MATCHES GD_LIBRARY-NOTFOUND )
   MESSAGE ( STATUS "GD library and/or header NOT found" )
-  SET ( STOP_CONFIGURATION true )
-ENDIF ( NOT GD_LIBRARY-NOTFOUND AND NOT GD_INCLUDE-NOTFOUND )
+#  SET ( STOP_CONFIGURATION true )
+ENDIF ( NOT ${GD_LIBRARY} MATCHES GD_LIBRARY-NOTFOUND )
 
 IF ( STOP_CONFIGURATION )
   MESSAGE ( FATAL_ERROR "Some libraries are missing - stopping configuration" )
@@ -121,9 +121,12 @@
 
 ADD_DEFINITIONS ( -DHAVE_CONFIG_H )
 ADD_DEFINITIONS ( "-DPACKAGE_STRING=\"${PACKAGE_NAME}-${PACKAGE_VERSION}\"" )
-ADD_DEFINITIONS ( -D_FILE_OFFSET_BITS=64 )
+ADD_DEFINITIONS ( -D_FILE_OFFSET_BITS=64 -Wno-write-strings )
 #ADD_DEFINITIONS ( -DDEBUG )
-#ADD_DEFINITIONS ( -O0 -g )
+ADD_DEFINITIONS ( -O0 -g --std=c++0x -fPIC )
+IF ( HAVE_LIBGD )
+  ADD_DEFINITIONS ( -DWITH_GD2LIB )
+ENDIF (HAVE_LIBGD )
 
 INCLUDE_DIRECTORIES ( ${CMAKE_BINARY_DIR} )
 
@@ -143,13 +146,13 @@
 
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Ogg Video Tools for video editing")
 SET(CPACK_PACKAGE_VENDOR "Yorn")
-SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.txt")
+SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
 SET(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/cpackInfo/ReadMe.rtf")
 SET(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/cpackInfo/Welcome.rtf")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/cpackInfo/COPYING.rtf")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-SET(CPACK_PACKAGE_VERSION_MINOR "8")
-SET(CPACK_PACKAGE_VERSION_PATCH "a")
+SET(CPACK_PACKAGE_VERSION_MINOR "9")
+SET(CPACK_PACKAGE_VERSION_PATCH "")
 SET(CPACK_PACKAGE_INSTALL_DIRECTORY "OggVideoTools")
 IF(WIN32 AND NOT UNIX)
   # There is a bug in NSI that does not handle full unix paths properly. Make
