=== scripts/CMakeLists.txt ===
SET ( SCRIPT_SRC mkThumbs )

INSTALL ( FILES ${SCRIPT_SRC} DESTINATION sbin )
