=== src/ovt_kate/CMakeLists.txt ===
SET ( LIBRARY_KATE_SRC
      katePosInterpreter.cpp  
      kateStreamParameter.cpp
      kateExtractor.cpp 
    )

ADD_LIBRARY ( ovtkate ${LIBRARY_KATE_SRC} )
