=== debian/changelog ===
oggvideotools (0.9.1-7build1) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:19:41 -0500

oggvideotools (0.9.1-7) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Name.
  * Fix day-of-week for changelog entry 0.7b.

  [ Petter Reinholdtsen ]
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * Adjusted autopkgtest script test-oggcut to use new test file path
    (Closes: #1031735).
  * Only install mkThumbs in bin, no need for a sbin copy. (Closes: #1064802)
  * Provide non-virtual sdl build dependency in addition to the virtual
    libsdl-dev one.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 11 Apr 2024 08:46:57 +0200

oggvideotools (0.9.1-6) unstable; urgency=medium

  * Team upload.
  * Acknowledge previous NMU.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Drop -dbg package and migrate to automatic -dbgsym package.
  * debian/patches/0007: Fix man page installation path.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Sep 2021 23:03:54 -0400

oggvideotools (0.9.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't run test-oggjoin that depends on pysycache-i18n
    that will likely be removed. (Closes: #959814)

 -- Adrian Bunk <bunk@debian.org>  Fri, 22 May 2020 21:49:26 +0300

oggvideotools (0.9.1-5) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove XS-Testsuite field, not needed anymore
  * d/watch: Use https protocol

  [ Peter Michael Green ]
  * Update dependency and file path for python-mecavideo -> python3-mecavideo
    package rename.
    Closes: #924608

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 05 Apr 2019 09:46:07 +0200

oggvideotools (0.9.1-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update the maintainer address. (Closes: #899624)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Feb 2019 15:37:15 +0200

oggvideotools (0.9.1-4) unstable; urgency=medium

  * Change source of ogg audio file from python-pygame to pysycache-i18n
    (Closes: #861298).
  * Updated Standards-Version from 3.9.8 to 4.0.0.
  * Added 'Multi-Arch: no' to oggvideotools and oggvideotools-dbg.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Jul 2017 04:42:10 +0000

oggvideotools (0.9.1-3) unstable; urgency=medium

  * Updated d/copyright file to relect that win32/ no longer is part
    of the source tarball.
  * New patch import-cstring.patch to fix build problem after compiler
    updates.  Patch from Jan Gerber.  Closes: #844858

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 03 Dec 2016 21:40:18 +0000

oggvideotools (0.9.1-2) unstable; urgency=medium

  * Add new and missing build dependency libboost-dev.
  * Removed unwanted comma in d/tests/control file.  Thanks lintian.
  * Updated Standards-Version from 3.9.6 to 3.9.8.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 05 Sep 2016 18:56:22 +0200

oggvideotools (0.9.1-1) unstable; urgency=medium

  * Added Ralph Giles as uploader.
  * Updated debian/copyright, correct upstream URL and wrap long lines.
  * Added cme rule to debian/rules to track copyright changes.
  * Rewrite debian/copyright file using DEP5 format.
  * Added new entries in debian/copyright.
  * Adjust testsuite run to new source layout.
  * Adjust build rules to run both test scripts during build.
  * Adjust test scripts to run tests using valgrind.
  * Updated build rules for new 0.9 version.
  * Updated to upstream version 0.9.1.
    - Now compiles with GCC 6 (Closes: #811769).
    - Refresh manual-typos.patch to match version 0.9.1.
  * Add build dependency on python-mecavideo needed by the test suite.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 05 Sep 2016 13:05:43 +0200
