=== debian/control ===
Source: oggvideotools
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Petter Reinholdtsen <pere@debian.org>,
 Martin Steghöfer <martin@steghoefer.eu>,
 Ralph Giles <giles@thaumas.net>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libogg-dev,
 libtheora-dev,
 libvorbis-dev,
 libsdl1.2-dev | libsdl-dev,
 libgd-dev,
 libboost-dev,
 debconf,
 python3-mecavideo,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/multimedia-team/oggvideotools.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/oggvideotools
Homepage: http://www.streamnik.de/oggvideotools.html

Package: oggvideotools
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: toolbox for manipulating and creating Ogg video files
 Contains the following command line tools:
 .
   * oggCat - concatenates two ogg video files
   * oggCut - extracts parts of an ogg file
   * oggDump
   * oggJoin - multiplexes ogg streams
   * oggLength
   * oggTranscode - resizes ogg files in multiple ways
   * oggScroll
   * oggSilence
   * oggSlideshow - creates slideshows from pictures
   * oggSplit - demultiplexes ogv files
   * oggThumb - creates thumbnails from an ogg video file
