=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_strip:
	dh_strip --dbgsym-migration='oggvideotools-dbg (<< 0.9.1-6~)'

# Run our test suite until the upstream source get one
override_dh_auto_test:
	dh_auto_test
	#TESTBINDIR=`pwd`/obj-*/src/binaries/ ./debian/tests/test-oggjoin
	TESTBINDIR=`pwd`/obj-*/src/binaries/ ./debian/tests/test-oggcut

debian-copyright:
	cme update dpkg-copyright -file debian/copyright.cme
