=== debian/tests/control ===
Tests: test-oggcut
Depends: @, debconf, python3-mecavideo (>> 8.0~rc4), valgrind
Restrictions: allow-stderr
